Podręcznik PHP
Poprzedni |  | Następny

# dbmnextkey

(PHP 3, PHP 4, PECL)

dbmnextkey --

## Opis

string dbmnextkey ( resource dbm_identifier, string key )

Returns the next key after `key`.

## Parametry

`dbm_identifier`

  Identyfikator połączenia DBM, zwrócony przez dbmopen().

`key`

  The previous key

## Zwracane wartości

The next key if possible

## Przykłady

By calling dbmfirstkey() followed by successive calls to dbmnextkey() it is possible to visit every key/value pair in the dbm database. For example:

Przykład 1. Visiting every key/value pair in a DBM database

`<?php $key = dbmfirstkey($dbm_id); while ($key) { echo "$key = " . dbmfetch($dbm_id, $key) . "\n"; $key = dbmnextkey($dbm_id, $key); } ?>`

## Patrz także

dbmfirstkey()

Poprzedni | Spis treści | Następny
dbminsert | Początek rozdziału | dbmopen